[package]
name = "synopkg"
version = "14.0.0"
authors = ["GitWorkflows <dev.sulaiman@icloud.com>"]
edition = "2021"
homepage = "https://synopkg.github.io/synopkg"
repository = "https://github.com/Synopkg/synopkg/tree/rust/main"
description = "Consistent dependency versions in large JavaScript Monorepos"
license = "MIT"
keywords = ["monorepo", "npm", "pnpm", "semver", "turborepo"]
readme = "./README.md"
include = ["src/**/*.rs"]

[dependencies]
async-trait = "0.1.88"
clap = { version = "4.5.40", features = ["cargo"] }
color-print = "0.3.7"
colored = "3.0.0"
ctor = "0.4.2"
dhat = { version = "0.3", optional = true }
env_logger = "0.11.8"
glob = "0.3.2"
globset = "0.4.16"
icu = "2.0.0"
indicatif = "0.18.0"
itertools = "0.14.0"
lazy_static = "1.5.0"
log = "0.4.27"
node-semver = "2.2.0"
openssl = { version = "0.10", features = ["vendored"] }
regex = "1.11.1"
reqwest = { version = "0.12", features = ["json"] }
serde = { version = "1.0.219", features = ["derive", "rc"] }
serde_json = { version = "1.0.140", features = ["preserve_order"] }
serde_yaml = "0.9"
tokio = { version = "1", features = ["full"] }
thiserror = "2.0.12"

[features]
default = []
dhat-heap = ["dhat"]

[profile.release]
debug = true
